Part Plane/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "==Opis==")
(Created page with "24px '''Płaszczyzna''' środowiska praczy Część to parametryczna prostokątna płaszczyzna, którą można utworzyć za pomocą polecenia Image:...")
Line 20: Line 20:
==Opis==
==Opis==


A [[Image:Part_Plane.svg|24px]] '''Part Plane''' is a parametric rectangular plane that can be created with the [[Image:Part_Primitives.svg|24px]] [[Part_Primitives|Part Primitives]] command. In the coordinate system defined by its {{PropertyData|Placement}} property, the plane lies on the XY plane with its front left corner at the origin, and its front edge parallel to the X axis.
[[Image:Part_Plane.svg|24px]] '''Płaszczyzna''' środowiska praczy Część to parametryczna prostokątna płaszczyzna, którą można utworzyć za pomocą polecenia [[Image:Part_Primitives.svg|24px]] [[Part_Primitives/pl|Geometrie pierwotne]]. W układzie współrzędnych zdefiniowanym przez właściwość {{PropertyData|Umiejscowienie}}, płaszczyzna leży na płaszczyźnie XY, z przednim lewym narożnikiem w punkcie początkowym i przednią krawędzią równoległą do osi X.


[[Image:Part_Plane_Example.png|400px]]
[[Image:Part_Plane_Example.png|400px]]

Revision as of 07:31, 18 December 2022

Część: Płaszczyzna

Lokalizacja w menu
Część → Geometrie pierwotne → Płaszczyzna
Środowisko pracy
Część, OpenSCAD
Domyślny skrót
brak
Wprowadzono w wersji
-
Zobacz także
Geometrie pierwotne

Opis

Płaszczyzna środowiska praczy Część to parametryczna prostokątna płaszczyzna, którą można utworzyć za pomocą polecenia Geometrie pierwotne. W układzie współrzędnych zdefiniowanym przez właściwość DANEUmiejscowienie, płaszczyzna leży na płaszczyźnie XY, z przednim lewym narożnikiem w punkcie początkowym i przednią krawędzią równoległą do osi X.

Usage

See Part Primitives.

Example

Part Plane from the scripting example

A Part Plane object created with the scripting example below is shown here.

Properties

See also: Property editor.

A Part Plane object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Plane

  • DANELength (Length): The length of the plane. This is the dimension in its X direction. The default is 10mm.
  • DANEWidth (Length): The width of the plane. This is the dimension in its Y direction. The default is 10mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Plane can be created with the addObject() method of the document:

plane = FreeCAD.ActiveDocument.addObject("Part::Plane", "myPlane")
  • Where "myPlane" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

plane = doc.addObject("Part::Plane", "myPlane")
plane.Length = 4
plane.Width = 8
plane.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(20, 75, 60))

doc.recompute()